# Package org.apache.lucene.queryparser.xml

Parser that produces Lucene Query objects from XML streams.

See: Description

Interface Summary
QueryBuilder: Implemented by objects that produce Lucene Query objects from XML streams.

Class Summary
CoreParser: Assembles a QueryBuilder which uses only core Lucene Query objects
CorePlusExtensionsParser: Assembles a QueryBuilder which uses Query objects from Lucene's `sandbox` and `queries` modules in addition to core queries.
CorePlusQueriesParser: Assembles a QueryBuilder which uses Query objects from Lucene's `queries` module in addition to core queries.
DOMUtils: Helper methods for parsing XML
QueryBuilderFactory: Factory for `QueryBuilder`

Exception Summary
ParserException: Thrown when the xml queryparser encounters invalid syntax/configuration.

## Package org.apache.lucene.queryparser.xml Description

Parser that produces Lucene Query objects from XML streams.